#!/bin/bash

#FIN="a5.stys"
FIN="$1"
REFCT="$HOME/component/utils/bin/refcount"
REFDIR="$HOME/var/refcount"
REFERENCE="NEED_TO_ARCHIVE_ENG"

TOTAL=`cat $FIN | wc -l`

i=0
for s in `cat $FIN `
do
   i=$((i+1))
   studydir=`/home/medsrv/component/repositoryhandler/scripts/locateStudy.sh -d $s`
   echo -e "\n\nCurrent Study $i of $TOTAL: $s"
   for o in `ls $studydir`
   do
      if [ "$o" != "" ]; then
          cd $REFDIR && $REFCT -a "$REFERENCE" -i $s/$o -t OBJECTFILE
          echo "Add ref $REFERENCE to $o of $s..."
      else
        echo "$s missing"
      fi
   done
done
