#! /bin/bash

. scripttools.new.shi

[ -z "$1" ] && d="/home/medsrv/var/taskqueue/.suspended/" || d=$1

if [ ! -f suspended_tasklist ]; then
    echo "creating task list, this may take a few minutes.."
    find $d -type f | sort > suspended_tasklist
else
    read -p "List of suspended tasks already exists, use it? Y/n :" ans
    if [ "$ans" != "Y" -a "$ans" != "y" ]; then
        echo "creating task list, this may take a few minutes.."
        find $d -type f | sort > suspended_tasklist
    fi
fi

niceme >&2 && exit
cat suspended_tasklist| while read t; do
    
    if [ -f "$t" ]; then
        mv $t ~/var/taskqueue/
        [ $? -ne 0 ] && break
        (( numdone+=1 ))
        echo "$t rescheduled : $numdone"
    else
        echo "Skipping (missing file or already rescheduled)"
        continue
    fi
    if [ $numdone -eq 1000 ]; then
        sleep 20
        niceme >&2 && break
        numdone=0
    fi
done

