#! /bin/bash
target="rpmlist.$(hostname -s)"
reference="rpmlist.reference"

if ! [ -e "$reference" ]; then
    read -p "Server to get reference rpm list from? " s
    echo "Generating reference rpm list from $s, enter root password when prompted"
    ssh $s "yum list installed" | tail -n +2 > $reference
    [ $? -ne 0 ] && echo "Error getting reference rpm list" && exit 1
fi


#if ! [ -e "$target" ]; then
    yum list installed | tail -n +2 > $target
#fi

cat $target | awk '{print $1}' | while read r; do
    #echo -n "Checking $r";
    isinstalled=$(grep -w ^$r $reference);
    #[ -n "$isinstalled" ] && echo " OK" || echo " EXTRA" ;
    [ -z "$isinstalled" ] && echo "$r" ;
done

