#!/bin/bash
#The script is intended to compare two inputfiles
#The <search> option is used to find all entries not in inputfile2
#The <revsearch> option is used to find all entries not in inputfile1

inputfile1=$1
inputfile2=$3
name1=$(echo $inputfile1)
name2=$(echo $inputfile2)
host=$('hostname')
now=$(date +"%m.%d.%Y")
file1="$host.$now.$name2.studiesnotin.$name1"
file2="$host.$now.$name1.studiesnotin.$name2"
search='search'
revsearch='revsearch'

if [ -z "$1" -o -z "$2" -o -z "$3" ]; then
    echo "$0 <inputfile1> <search or revsearch> <inputfile2>"
    exit 1
fi
        if [ "$2" = "$revsearch" ] ;then
                grep -Fxv -f $inputfile1 $inputfile2 > "$file1"

        elif [ "$2" = "$search" ] ;then
                grep -Fxv -f $inputfile2 $inputfile1 > "$file2"
        else
                  echo "You must specify: search or revsearch"
                  exit 1
fi
