#!/bin/bash

[ -z "$1" ] && echo -e "\n\nError: Missing Parameter, input file (containing STYIUID 1 per line)\n\n" && exit 1

if [ ! -e "$1" ] ; then
	echo -e "\n\nError: $1 files does not exist.\n\n"
	exit 2
fi

for s in `cat $1  `
do
    isInDb=`echo "select STYIUID from Archive where STYIUID = '$s'" | ~/component/mysql/bin/mysql -N imagemedical`;
    if [ "$isInDb" = "" ] ; then
       echo "$s" >> $1.NotInDb.`hostname -s`
    else
       echo "$s" >> $1.InDb.`hostname -s`
    fi
done


