#!/bin/bash

. ./funcs.shi

[ -z "$1" ] && echo "Usage: $0 STYIUID" && exit 1

PARENT=`getParent`
echo "My Parent is: $PARENT"

isOnParent $1 $PARENT
ONPARENT="$?"

if [ $ONPARENT -eq 2 ] ; then
  echo "on Parent but deleted.  Clearing references on parent"
  ssh -n $PARENT /home/medsrv/checkrefs.sh -s $1 -R -S -c
elif [ $ONPARENT -eq 1 ] ; then
  echo "Not On parent"
  $HOME/component/utils/bin/storestate -S $1 --fwddevice="midwest-p1"
elif [ $ONPARENT -eq 0 ] ; then
  echo "on Parent and NOT deleted.  Reindexing study on parent"
  ssh -n $PARENT /home/medsrv/component/cases/reindexStudy.sh -r $1
  exit 0
fi
$HOME/component/cases/reindexStudy.sh -r $1
